### Enumeration

# Gcr DataError

#### Declaration

    enum Gcr.DataError

#### Description [src]

Values responding to error codes for parsing and serializing data.

#### Members

`GCR_ERROR_FAILURE`

  Failed to parse or serialize the data.

  - Value: `-1`
  - Available since: 3
`GCR_ERROR_UNRECOGNIZED`

  The data was unrecognized or unsupported.

  - Value: `1`
  - Available since: 3
`GCR_ERROR_CANCELLED`

  The operation was cancelled.

  - Value: `2`
  - Available since: 3
`GCR_ERROR_LOCKED`

  The data was encrypted or locked and could not be unlocked.

  - Value: `3`
  - Available since: 3